<p align="center">
  <a href="" rel="noopener">
 <img width=200px height=200px src="./resources/logo.png" alt="Project logo"></a>
</p>

<h3 align="center">Wireguard Attack</h3>

<div align="center">

[![Status](https://img.shields.io/badge/status-active-success.svg)]()
[![Gitlab Issues](https://img.shields.io/github/issues/kylelobo/The-Documentation-Compendium.svg)](https://gitlab.limos.fr/borlonjo/wireguard-attack/-/issues)
[![GitHub Pull Requests](https://img.shields.io/github/issues-pr/kylelobo/The-Documentation-Compendium.svg)](https://gitlab.limos.fr/borlonjo/wireguard-attack/-/merge_requests)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](/LICENSE)

</div>

---

<p align="center"> This repository is a POC demonstrating the compromission of a Wireguard connection allowing to discover identity of a user.
    <br> 
</p>

## 📝 Table of Contents

- [About](#about)
- [Getting Started](#getting_started)
- [Deployment](#deployment)
- [Usage](#usage)
- [Built Using](#built_using)
- [TODO](../TODO.md)
- [Contributing](../CONTRIBUTING.md)
- [Authors](#authors)
- [Acknowledgments](#acknowledgement)

## 🧐 About <a name = "about"></a>

Write about 1-2 paragraphs describing the purpose of your project.

## 🏁 Getting Started <a name = "getting_started"></a>

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See [deployment](#deployment) for notes on how to deploy the project on a live system.

### Prerequisites

You need to have VirtualBox installed on your machine along with Hashicorp Vagrant.

```bash
sudo apt install vagrant
```

### Installing

A step by step series of examples that tell you how to get a development env running.

Say what the step will be

```bash
git clone https://gitlab.limos.fr/borlonjo/wireguard-attack.git
cd wireguard-attack
```

Now you can start VM using vagrant

```bash
vagrant up
```

End with an example of getting some data out of the system or using it for a little demo.

<!-- ## 🔧 Running the tests <a name = "tests"></a>

Explain how to run the automated tests for this system.

### Break down into end to end tests

Explain what these tests test and why

```
Give an example
```

### And coding style tests

Explain what these tests test and why

```
Give an example
``` -->

## 🎈 Usage <a name="usage"></a>

To connect to VM using ssh, you can issue :

```bash
vagrant ssh <vm_name>
```

<!-- ## 🚀 Deployment <a name = "deployment"></a>

Add additional notes about how to deploy this on a live system.

## ⛏️ Built Using <a name = "built_using"></a>

- [MongoDB](https://www.mongodb.com/) - Database
- [Express](https://expressjs.com/) - Server Framework
- [VueJs](https://vuejs.org/) - Web Framework
- [NodeJs](https://nodejs.org/en/) - Server Environment

## ✍️ Authors <a name = "authors"></a>

- [@kylelobo](https://github.com/kylelobo) - Idea & Initial work

See also the list of [contributors](https://github.com/kylelobo/The-Documentation-Compendium/contributors) who participated in this project.

## 🎉 Acknowledgements <a name = "acknowledgement"></a>

- Hat tip to anyone whose code was used
- Inspiration
- References -->
